Most software and hardware products from Native Instruments are not supported under macOS 10.15 yet. Therefore this also applies to all Edward instruments. Please do not install macOS 10.15 yet.

Systematic product tests are currently being performed to ensure full compatibility as quickly as possible. Please visit this page or the technical specifications page of Native Instruments page regularly for information on current operating system requirements.

We’ll let you know here when Catalina is fully supported.